Bug 1469018 - [abrt] python3-spyder: QObject::disconnect(): python3.6 killed by signal 11
[abrt] python3-spyder: QObject::disconnect(): python3.6 killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spyder (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c87cd141de86c0b56c92e7df81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 05:20 EDT by Kamil Páral
Modified: 2017-09-30 02:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: spyder-3.2.2-1.fc26 spyder-3.2.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 18:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (141.27 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: cgroup (227 bytes, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: core_backtrace (52.98 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: dso_list (22.54 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: environ (4.10 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: maps (105.24 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: open_fds (3.00 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-10 05:20 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2017-07-10 05:20:31 EDT
Description of problem:
This seems to happen every time I exit spyder3 (crashes on exit).

Version-Release number of selected component:
python3-spyder-3.1.4-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/spyder3
crash_function: QObject::disconnect
executable:     /usr/bin/python3.6
journald_cursor: s=c8a94cf5eff1464fb1f8addd430fc05b;i=af11;b=f8f938aaf02f4f7686f9aaa2d3ef5473;m=18d99306d;t=553f2dad92859;x=6429135b0970490e
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2956
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1145
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:188
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:368
Comment 1 Kamil Páral 2017-07-10 05:20:38 EDT
Created attachment 1295734 [details]
File: backtrace
Comment 2 Kamil Páral 2017-07-10 05:20:40 EDT
Created attachment 1295735 [details]
File: cgroup
Comment 3 Kamil Páral 2017-07-10 05:20:42 EDT
Created attachment 1295736 [details]
File: core_backtrace
Comment 4 Kamil Páral 2017-07-10 05:20:44 EDT
Created attachment 1295737 [details]
File: cpuinfo
Comment 5 Kamil Páral 2017-07-10 05:20:46 EDT
Created attachment 1295738 [details]
File: dso_list
Comment 6 Kamil Páral 2017-07-10 05:20:48 EDT
Created attachment 1295739 [details]
File: environ
Comment 7 Kamil Páral 2017-07-10 05:20:49 EDT
Created attachment 1295740 [details]
File: exploitable
Comment 8 Kamil Páral 2017-07-10 05:20:51 EDT
Created attachment 1295741 [details]
File: limits
Comment 9 Kamil Páral 2017-07-10 05:20:53 EDT
Created attachment 1295742 [details]
File: maps
Comment 10 Kamil Páral 2017-07-10 05:20:55 EDT
Created attachment 1295743 [details]
File: open_fds
Comment 11 Kamil Páral 2017-07-10 05:20:57 EDT
Created attachment 1295744 [details]
File: proc_pid_status
Comment 12 Kamil Páral 2017-07-10 05:20:59 EDT
Created attachment 1295745 [details]
File: var_log_messages
Comment 13 Fedora Update System 2017-09-10 21:58:53 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 14 Fedora Update System 2017-09-10 21:59:19 EDT
python-QtPy-1.3.1-1.fc27 spyder-3.2.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 15 Fedora Update System 2017-09-10 22:00:24 EDT
python-QtPy-1.3.1-1.fc26 spyder-3.2.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 16 Fedora Update System 2017-09-10 22:00:39 EDT
python-QtPy-1.3.1-1.fc26 spyder-3.2.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 17 Fedora Update System 2017-09-11 17:54:58 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89fbfdd482
Comment 18 Fedora Update System 2017-09-11 21:22:22 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-42dc455c05
Comment 19 Fedora Update System 2017-09-20 18:53:10 EDT
python-QtPy-1.3.1-1.fc26, spyder-3.2.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-09-30 02:10:54 EDT
python-QtPy-1.3.1-1.fc27, spyder-3.2.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.